From bf269e106ec016f04f5ef1d4440120fbfab2f304 Mon Sep 17 00:00:00 2001
From: Michael Weber <michaelw@foldr.org>
Date: Fri, 29 Aug 2008 15:39:19 +0200
Subject: [PATCH] Added missing symbols to *gray-stream-symbols*


Signed-off-by: Michael Weber <michaelw@foldr.org>
---
 ChangeLog          |    5 +++++
 swank-backend.lisp |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index cb27f08..55736e6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2008-08-29  Michael Weber  <michaelw+slime@foldr.org>
+
+	* swank-backend.lisp (*gray-stream-symbols*): added symbols
+	stream-peek-char, stream-read-line, stream-file-position
+
 2008-08-27  Helmut Eller  <heller@common-lisp.net>
 
 	* slime.el (sldb-setup): Insert "No backtrace" if the backtrace is
diff --git a/swank-backend.lisp b/swank-backend.lisp
index 6f6d6af..afffbc7 100644
--- a/swank-backend.lisp
+++ b/swank-backend.lisp
@@ -204,6 +204,9 @@ EXCEPT is a list of symbol names which should be ignored."
     :stream-finish-output
     :fundamental-character-input-stream
     :stream-read-char
+    :stream-peek-char
+    :stream-read-line
+    :stream-file-position
     :stream-listen
     :stream-unread-char
     :stream-clear-input
-- 
1.6.0.GIT

